## org.eclipse.emf.codegen.jet
Class JETScriptletGenerator

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETScriptletGenerator

All Implemented Interfaces:
  JETGenerator

Direct Known Subclasses:
  JETExpressionGenerator

    public class JETScriptletGenerator

extends java.lang.Object
implements JETGenerator

Generator for <% .... %> stuff.

Field Summary
`protected char[]` `chars`

Constructor Summary
`JETScriptletGenerator(char[] chars)`

Method Summary
`java.lang.String` `generate()`
`static char[]` `removeQuotes(char[] characters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chars

    protected char[] chars

Constructor Detail

### JETScriptletGenerator

    public JETScriptletGenerator(char[] chars)

Method Detail

### generate

    public java.lang.String generate()

  Specified by:
    `generate` in interface `JETGenerator`

### removeQuotes

    public static char[] removeQuotes(char[] characters)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.